Skip to main content
Server path: /maintainx-inventory | Type: Application | PCID required: Yes

Tools

ToolDescription
maintainx_inventory_create_manufacturersCreate new manufacturer
maintainx_inventory_create_modelsCreate new model
maintainx_inventory_create_partsCreate new part
maintainx_inventory_create_parttransferrequestsCreate a part transfer request
maintainx_inventory_create_purchaseordersCreate new purchase order
maintainx_inventory_create_purchaseorders_commentsCreate new comment on a purchase order
maintainx_inventory_create_purchaseorders_emailsSend Purchase Order as an email
maintainx_inventory_create_vendorsCreate new vendor
maintainx_inventory_create_vendors_contactsCreate new contact
maintainx_inventory_delete_partsDelete part
maintainx_inventory_delete_parts_attachmentsRemove part attachment
maintainx_inventory_delete_purchaseordersDelete purchaseOrder
maintainx_inventory_delete_purchaseorders_attachmentsRemove purchase order attachment
maintainx_inventory_delete_vendorsDelete vendor
maintainx_inventory_delete_vendors_attachmentsRemove vendor attachment
maintainx_inventory_delete_vendors_contactsDelete contact
maintainx_inventory_get_manufacturersGet manufacturer
maintainx_inventory_get_modelsGet model
maintainx_inventory_get_partsGet part
maintainx_inventory_get_parttransferrequestsGet part transfer request
maintainx_inventory_get_purchaseordersGet purchase order
maintainx_inventory_get_vendorsGet vendor
maintainx_inventory_get_vendors_contactsList contacts
maintainx_inventory_get_vendors_contacts_2Get contact
maintainx_inventory_list_manufacturersList manufacturers
maintainx_inventory_list_modelsList models
maintainx_inventory_list_partsList parts
maintainx_inventory_list_parttransferrequestsList part transfer requests
maintainx_inventory_list_purchaseordersList purchase orders
maintainx_inventory_list_vendorsList vendors
maintainx_inventory_list_vendors_contactsList contacts
maintainx_inventory_update_partsUpdate part
maintainx_inventory_update_parttransferrequestsUpdate part transfer request
maintainx_inventory_update_purchaseordersUpdate purchase order
maintainx_inventory_update_purchaseorders_fulfillmentFulfill purchase order
maintainx_inventory_update_purchaseorders_statusUpdate purchase order status
maintainx_inventory_update_vendorsUpdate vendor
maintainx_inventory_update_vendors_contactsUpdate contact
maintainx_inventory_upload_parts_attachmentsUpdate part attachment
maintainx_inventory_upload_parts_thumbnailUpdate part’s thumbnail
maintainx_inventory_upload_purchaseorders_attachmentsUpdate purchase order attachment
maintainx_inventory_upload_purchaseorders_thumbnailUpdate purchase order’s thumbnail
maintainx_inventory_upload_vendors_attachmentsUpdate vendor attachment
maintainx_inventory_upload_vendors_thumbnailUpdate vendor’s thumbnail

maintainx_inventory_create_manufacturers

Create new manufacturer Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
namestringYesManufacturer name.

maintainx_inventory_create_models

Create new model Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
manufacturerIdintegerYesManufacturer ID the model belongs to.
namestringYesModel name.

maintainx_inventory_create_parts

Create new part Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
areastringNoArea of the part. Deprecated: Use new field inside locations. Will cause error if both fields are sent.
assetIdsinteger[]NoList of asset IDs
availableQuantityintegerNoTotal quantity currently in stock. Deprecated: Use new field inside locations. Will cause error if both fields are sent.
barcodestringNoString encoded barcode
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Part Number”)
locationIdintegerNoID of the location where the part is located. Deprecated: Use new field inside locations. Will cause error if both fields are sent.
locationsobject[]NoDetailed list of locations where the part is stored, including properties such as available quantity, minimum quantity, reserved quantity, and area within each location.
minimumQuantityintegerNoTotal minimum quantity before you should restock. Deprecated: Use new field inside locations. Will cause error if both fields are sent.
namestringYesThe name value
partTypesstring[]NoList of part types
teamIdsinteger[]NoList of team IDs in charge of the part
unitCostintegerNoCost in cents. For example, for $1.20, put 120.
vendorIdsinteger[]NoList of vendor IDs. Deprecated: Use the vendorId field inside vendors.
vendorsobject[]NoList of vendors of the part

maintainx_inventory_create_parttransferrequests

Create a part transfer request Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
destinationPartIdintegerYesID of the part that belongs to the organization performing the request. (Receiving stocks)
quantityRequestedintegerYesQuantity of parts requested for transfer.
requestMessagestringNoMessage to give context surrounding the part transfer request.
sourcePartIdintegerYesID of the part that belongs to the organization receiving the request. (Sending stocks)

maintainx_inventory_create_purchaseorders

Create new purchase order Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
billingAddressobjectNoBilling address in the Purchase Order
billingAddressIdnumberNoBilling address Id in the Purchase Order
costsobject[]NoList of costs in the Purchase Order
deletedAtstringNoDate at which the Purchase Order was deleted
dueDatestringNoDue date of Purchase Order
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Ordered Date”)
itemsobject[]YesList of items in the Purchase Order
notestringNoNotes left for Purchase Orders
overrideNumberstringNoCustom number/identifier for Purchase Order
shippingAddressobjectNoShipping address in the Purchase Order
shippingAddressIdnumberNoShipping address Id in the Purchase Order
titlestringNoTitle of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled.
vendorContactIdsnumber[]NoList of vendor contact IDs in the Purchase Order
vendorIdnumberYesID of vendor that this Purchase Order is associated with

maintainx_inventory_create_purchaseorders_comments

Create new comment on a purchase order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the purchase order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
contentstringYesContent of the comment to post

maintainx_inventory_create_purchaseorders_emails

Send Purchase Order as an email Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesGlobal ID of the Purchase Order
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
emailsstring[]NoEmails to send the Purchase Order to
emailsCCstring[]NoEmails to send the Purchase Order to as a carbon copy (CC)

maintainx_inventory_create_vendors

Create new vendor Parameters:
ParameterTypeRequiredDefaultDescription
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
x-organization-idintegerNoRequired if using a multi organizations token
descriptionstringNoThe description value
emailsstring[]NoList of email address
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Qualifications”)
namestringYesThe name value
phoneNumbersstring[]NoList of phone number

maintainx_inventory_create_vendors_contacts

Create new contact Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
emailstringNoEmail address of contact.
extensionstringNoPhone number extension
namestringYesThe name value
phoneNumberstringNoPhone number of contact
rolestringNoRole/Label of the contact.

maintainx_inventory_delete_parts

Delete part Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_parts_attachments

Remove part attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_purchaseorders

Delete purchaseOrder Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the purchaseOrder
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_purchaseorders_attachments

Remove purchase order attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the purchase order.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_vendors

Delete vendor Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_vendors_attachments

Remove vendor attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_delete_vendors_contacts

Delete contact Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
contactIdintegerYesID of the contact
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks

maintainx_inventory_get_manufacturers

Get manufacturer Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the manufacturer
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_inventory_get_models

Get model Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the model
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_inventory_get_parts

Get part Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part

maintainx_inventory_get_parttransferrequests

Get part transfer request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the partTransferRequest

maintainx_inventory_get_purchaseorders

Get purchase order Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the purchaseOrder

maintainx_inventory_get_vendors

Get vendor Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor

maintainx_inventory_get_vendors_contacts

List contacts Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Contacts returned
idintegerYesID of the vendor

maintainx_inventory_get_vendors_contacts_2

Get contact Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
contactIdintegerYesID of the contact

maintainx_inventory_list_manufacturers

List manufacturers Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Manufacturers returned
x-organization-idintegerNoRequired if using a multi organizations token
x-organization-idsstringNoRequired if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other).

maintainx_inventory_list_models

List models Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Models returned
x-organization-idintegerNoRequired if using a multi organizations token
x-organization-idsstringNoRequired if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other).

maintainx_inventory_list_parts

List parts Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Parts returned
partNumberstring[]NoWill only show parts that have a vendor with this part number associated to them.
customFieldNamestring[]NoFilter parts by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/parts?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/parts?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/parts?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported.
sortstringNoAttribute on which to sort the list. (for descending order, prefix attribute with ’-’).
expandstring[]NoTo expand multiple fields: expand=extra_fields&expand=vendors
x-organization-idintegerNoRequired if using a multi organizations token
x-organization-idsstringNoRequired if using a multi organizations token and doing an operation on resources from multiple organizations. This is mutually exclusive with the x-organization-id header (use one or the other).

maintainx_inventory_list_parttransferrequests

List part transfer requests Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Part Transfer Requests returned
statusesstring[]NoTo filter by multiple status: status=APPROVED&status=DECLINED
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_inventory_list_purchaseorders

List purchase orders Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Purchase Orders returned
customFieldNamestring[]NoFilter purchase orders by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/purchaseorders?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/purchaseorders?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/purchaseorders?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported.
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_inventory_list_vendors

List vendors Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Vendors returned
customFieldNamestring[]NoFilter vendors by custom field value. Your query parameter should be your custom field name. (ie: To filter by a custom field named “Industry” with the value “Construction”, you would do this “/vendors?Industry=Construction”). <br><br>Adding multiple instance of the same custom field act as an <code>OR</code> and adding a different custom field act as an <code>AND</code>. (ie: To filter by a custom field named <code>Industry</code> with the value <code>Construction</code> OR <code>Transportation</code> AND the custom field <code>Manufacturer</code> with the value <code>ACME</code>, you would do this <code>/vendors?Industry=Construction&Industry=Transportation&Manufacturer=ACME</code>). <br><br>If your custom field label is the same as a reserved query parameter such as <code>limit</code>, <code>sort</code>, <code>expand</code>, etc, you can add <code>__c</code> to your custom field filtering (ie: To filter by a custom field named <code>limit</code> with the value <code>ten</code>, you would do this <code>/vendors?limit__c=ten</code>). <br><br>Note that your custom field needs to be created beforehand. Only number and single line text custom field types are supported.
expandstring[]NoRelated resources to expand inline
x-organization-idintegerNoRequired if using a multi organizations token

maintainx_inventory_list_vendors_contacts

List contacts Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoLast pagination reference
limitintegerNomax number of Contacts returned
idintegerYesID of the vendor

maintainx_inventory_update_parts

Update part Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
areastringNoArea of the part. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information.
assetIdsinteger[]NoList of asset IDs
availableQuantityintegerNoTotal quantity currently in stock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information.
barcodestringNoString encoded barcode
createdAtstringNoDate & time at which the part was created
deletedAtstringNoDate at which the part was deleted
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Part Number”)
locationIdintegerNoID of the location where the part is located. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information.
locationsobjectNoList of locations to add, update or remove.
minimumQuantityintegerNoTotal minimum quantity before you should restock. Deprecated: Use new field inside locations. Will cause error if both fields are sent. See https://help.getmaintainx.com/multi-location-parts#integration-issues-with-multi-location-parts for more information.
namestringNoThe name value
partTypesstring[]NoList of part types
teamIdsinteger[]NoList of team IDs in charge of the part
unitCostintegerNoCost in cents. For example, for $1.20, put 120.
updatedAtstringNoDate & time at which the part was last updated. This doesn’t include comments
vendorIdsinteger[]NoList of vendor IDs. Deprecated: Use the vendorId field inside vendors.
vendorsobject[]NoList of vendors of the part

maintainx_inventory_update_parttransferrequests

Update part transfer request Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part transfer request
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
destinationLocationsobject[]NoLocations into which the transferred parts were received. (Receiving stocks)
quantityintegerNoQuantity to update for the relevant status.
responseMessagestringNoMessage to give context surrounding the transfer of the part transfer request.
sourceLocationIdintegerNoID of the location in the organization from which parts were transferred. (Sending stocks)
statusstringNoStatus of the part transfer request.

maintainx_inventory_update_purchaseorders

Update purchase order Parameters:
ParameterTypeRequiredDefaultDescription
idnumberYesThe id value
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
billingAddressobjectNoBilling address in the Purchase Order
billingAddressIdnumberNoBilling address Id in the Purchase Order
costsobject[]NoList of costs in the Purchase Order
deletedAtstringNoDate at which the Purchase Order was deleted
dueDatestringNoDue date of Purchase Order
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Ordered Date”)
itemsobject[]NoList of items in the Purchase Order
notestringNoNotes left for Purchase Orders
overrideNumberstringNoCustom number/identifier for Purchase Order
reviewNotestringNoNotes to be left for changes to be made when sending a Purchase Order for revision
shippingAddressobjectNoShipping address in the Purchase Order
shippingAddressIdnumberNoShipping address Id in the Purchase Order
statusstringNoPlease use the PATCH /purchaseorders/{id}/status endpoint instead.
titlestringNoTitle of the Purchase Order. Will be ignored if organization setting for custom purchase order titles is disabled.
vendorContactIdsnumber[]NoList of vendor contact IDs in the Purchase Order
vendorIdnumberNoID of vendor that this Purchase Order is associated with

maintainx_inventory_update_purchaseorders_fulfillment

Fulfill purchase order Parameters:
ParameterTypeRequiredDefaultDescription
idnumberYesThe id value
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
itemsany[]NoList of items in the Purchase Order

maintainx_inventory_update_purchaseorders_status

Update purchase order status Parameters:
ParameterTypeRequiredDefaultDescription
idnumberYesThe id value
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
reviewNotestringNoNotes to be left for changes to be made when sending a Purchase Order for revision
statusstringNoHere is a list of valid status transitions: | Current Status | Allowed Transitions | Description | |---------------------|------------------------------------------|-------------------------------------------------------| | REQUESTED | CANCELED DECLINED PENDING | Initial state when PO is first created | | PENDING | APPROVED CANCELED DECLINED | PO is awaiting approval | | DECLINED | CANCELED PENDING | PO was rejected and needs revision | | APPROVED | CANCELED or start receiving items | PO is approved and items can be received | | PARTIALLY_FULFILLED| COMPLETED | Some items have been received | | CANCELED | None | PO has been canceled and cannot be modified | | COMPLETED | PARTIALLY_FULFILLED | All items have been received | Notes: - Status changes trigger notifications to relevant users and vendors - You can subscribe to status changes using webhooks - The DECLINED status is displayed as ‘Rejected’ in the application interface - Moving to PARTIALLY_FULFILLED happens automatically when items are received - Use the optional reviewNote field to provide feedback when declining a purchase order

maintainx_inventory_update_vendors

Update vendor Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
descriptionstringNoThe description value
extraFieldsobjectNoCustom Fields on the entity. The object keys are the exact Custom Field labels, including spaces or special characters. (ie: “Qualifications”)
namestringNoThe name value

maintainx_inventory_update_vendors_contacts

Update contact Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor
contactIdintegerYesID of the contact
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
emailstringNoEmail address of contact.
extensionstringNoPhone number extension
namestringNoThe name value
phoneNumberstringNoPhone number of contact
rolestringNoRole/Label of the contact.

maintainx_inventory_upload_parts_attachments

Update part attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_inventory_upload_parts_thumbnail

Update part’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the part.
filenamestringYesName of the part thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.

maintainx_inventory_upload_purchaseorders_attachments

Update purchase order attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the purchase order.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_inventory_upload_purchaseorders_thumbnail

Update purchase order’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the purchase order.
filenamestringYesName of the purchase order thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.

maintainx_inventory_upload_vendors_attachments

Update vendor attachment Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor.
filenamestringYesName of the attachment, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the attachment.

maintainx_inventory_upload_vendors_thumbnail

Update vendor’s thumbnail Parameters:
ParameterTypeRequiredDefaultDescription
idintegerYesID of the vendor.
filenamestringYesName of the vendor thumbnail, including the extension.
skipWebhookbooleanNoSet skipWebhook=true, skipWebhook=1 or skipWebhook=yes to skip all webhooks upon successful operation on the endpoint. Learn more about webhooks
bodyobjectYesContent type should be application/octet-stream and payload should use binary format for the thumbnail.